Update a team
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Team id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: string | nulldescription
- Type: string | nullname
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/teams/{id}
curl https://api.weddingoperatingsystems.com/api/v1/teams/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": null,
"description": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"description": null,
"createdTime": "2026-09-30T06:22:05.745Z",
"lastEditedTime": "2026-09-30T06:22:05.745Z"
}
}